API referenceBooking
Get Booking
Get a booking by ID using the full booking page query, including customer, company, location, payments, coupon, services, order lines, reservations, messages, hire quiz responses, and activity logs.
GET
/booking/{id}curl -X GET "https://dash.lockii.app/api/v1/booking/{id}" \
-H "x-api-key: $LOCKII_API_KEY"Authorization
x-api-keystringheaderAPI key from Settings → Integrations → API.
AuthorizationstringheaderThe same API key, or an OAuth access token, sent as Authorization: Bearer.
api_keystringqueryAPI key query parameter.
Parameters
idstringpathrequired
Response
application/json
JSON result for this operation.
object
{}